import { AjaxAlarmType, AjaxDeviceType, AjaxSerialMessageType } from './ajax';
export interface SerialMessage {
    messageType: AjaxSerialMessageType;
    deviceType: AjaxDeviceType;
    deviceId: string;
    toString(): string;
}
export declare class AlarmMessage implements SerialMessage {
    messageType: AjaxSerialMessageType;
    deviceType: AjaxDeviceType;
    deviceId: string;
    alarmType: AjaxAlarmType;
    constructor(messageChunks: string[]);
    toString(): string;
}
export declare class UnknownMessage implements SerialMessage {
    messageType: AjaxSerialMessageType;
    deviceType: AjaxDeviceType;
    deviceId: string;
    toString(): string;
}
export declare function ajaxMessageFromString(messageStr: string): SerialMessage;
//# sourceMappingURL=ajaxSerialMessage.d.ts.map