"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AjaxAlarmType = exports.AjaxSerialMessageType = exports.AjaxDeviceType = void 0;
var AjaxDeviceType;
(function (AjaxDeviceType) {
    AjaxDeviceType[AjaxDeviceType["DoorProtect"] = 1] = "DoorProtect";
    AjaxDeviceType[AjaxDeviceType["MotionProtect"] = 2] = "MotionProtect";
    AjaxDeviceType[AjaxDeviceType["FireProtect"] = 3] = "FireProtect";
    AjaxDeviceType[AjaxDeviceType["GlassProtect"] = 4] = "GlassProtect";
    AjaxDeviceType[AjaxDeviceType["LeaksProtect"] = 5] = "LeaksProtect";
    AjaxDeviceType[AjaxDeviceType["CombiProtect"] = 8] = "CombiProtect";
    AjaxDeviceType[AjaxDeviceType["FireProtectPlus"] = 9] = "FireProtectPlus";
    AjaxDeviceType[AjaxDeviceType["SpaceControl"] = 11] = "SpaceControl";
    AjaxDeviceType[AjaxDeviceType["MotionProtectPlus"] = 14] = "MotionProtectPlus";
    AjaxDeviceType[AjaxDeviceType["NotDefined"] = 0] = "NotDefined";
})(AjaxDeviceType = exports.AjaxDeviceType || (exports.AjaxDeviceType = {}));
var AjaxSerialMessageType;
(function (AjaxSerialMessageType) {
    AjaxSerialMessageType["ALARM"] = "ALARM";
    AjaxSerialMessageType["STATUS"] = "STATUS";
    AjaxSerialMessageType["RSTATE"] = "RSTATE";
    AjaxSerialMessageType["UNKNOWN"] = "";
})(AjaxSerialMessageType = exports.AjaxSerialMessageType || (exports.AjaxSerialMessageType = {}));
var AjaxAlarmType;
(function (AjaxAlarmType) {
    AjaxAlarmType[AjaxAlarmType["FloodDetected"] = 19] = "FloodDetected";
    AjaxAlarmType[AjaxAlarmType["FloodRemoved"] = 20] = "FloodRemoved";
})(AjaxAlarmType = exports.AjaxAlarmType || (exports.AjaxAlarmType = {}));
//# sourceMappingURL=ajax.js.map